MONGOC_SOCKET_CLOSE(3)

NAME
mongoc_socket_close() - This function is a wrapper around the BSD socket shutdown() interface. It provides better portability between UNIX-like and Microsoft Windows platforms.

SYNOPSIS

int
mongoc_socket_close (mongoc_socket_t *socket);

PARAMETERS

socket
    A mongoc_socket_t \&.

DESCRIPTION

This function is a wrapper around the BSD socket shutdown(3) interface. It provides better portability between UNIX-like and Microsoft Windows platforms.

RETURNS

0 on success, -1 on failure to close the socket.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.